Skip to main content
GET
/
v1
/
admin
/
datasets
/
{dataset_id}
/
schema
/
rebuilds
/
{job_id}
Get a schema rebuild job
curl --request GET \
  --url https://api.withsplendor.com/v1/admin/datasets/{dataset_id}/schema/rebuilds/{job_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-splendor-tenant-id: <x-splendor-tenant-id>'
{
  "analyzer_version": "v3",
  "completed_at": "2026-01-15T09:30:00Z",
  "dataset_id": "app-logs",
  "document_count": 1240000,
  "error_message": null,
  "job_id": "srb_01H8Z3",
  "object_count": 10,
  "requested_at": "2026-01-15T09:30:00Z",
  "source_count": 2,
  "started_at": "2026-01-15T09:30:00Z",
  "status": "completed",
  "updated_at": "2026-01-15T09:30:00Z"
}

Authorizations

Authorization
string
header
required

API token issued from the Splendor console.

Headers

x-splendor-tenant-id
string
required

Selects the tenant (workspace) the request acts within.

Path Parameters

dataset_id
string
required
job_id
string
required

Response

Successful Response

analyzer_version
string
required
completed_at
string<date-time> | null
required
dataset_id
string
required
document_count
integer
required
error_message
string | null
required
job_id
string
required
object_count
integer
required
requested_at
string<date-time>
required
source_count
integer
required
started_at
string<date-time> | null
required
status
string
required
updated_at
string<date-time>
required